@tailwind base;
@tailwind components;
@tailwind utilities;
@layer base {
    @font-face {
        font-family: 'SofiaPro';
        font-weight: 200;
        src: url("../public/fonts/SofiaPro/SofiaPro-ExtraLight.ttf");
    }
    @font-face {
        font-family: 'SofiaPro';
        font-weight: 300;
        src: url("/public/fonts/SofiaPro/SofiaPro-Light.ttf");
    }
    @font-face {
        font-family: 'SofiaPro';
        font-weight: 400;
        src: url("/public/fonts/SofiaPro/SofiaProRegular.ttf");
    }
    @font-face {
        font-family: 'SofiaPro';
        font-weight: 500;
        src: url("/public/fonts/SofiaPro/SofiaPro-Medium.ttf");
    }
    @font-face {
        font-family: 'SofiaPro';
        font-weight: 600;
        src: url("/public/fonts/SofiaPro/SofiaPro-SemiBold.ttf");
    }
    @font-face {
        font-family: 'SofiaPro';
        font-weight: 700;
        src: url("/public/fonts/SofiaPro/SofiaPro-Bold.ttf");
    }
    @font-face {
        font-family: 'SofiaPro';
        font-weight: 900;
        src: url("/public/fonts/SofiaPro/SofiaPro-Black.ttf");
    }
}


body {
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #f9fafc;
}

@layer components {
    .next-button {
        @apply w-2/5 py-2 bg-cyan-450 rounded-md text-white text-lg border border-cyan-450 ml-auto
        hover:bg-white hover:text-cyan-450 hover:border hover:border-cyan-450 transition duration-200 ease-in-out

    }
    .bold {
        @apply leading-3 font-bold mb-2

    }

    .light {
        @apply leading-3 text-sm text-gray-400
    }

    .form-title {
        @apply font-bold text-3xl md:text-4.5xl text-center
    }

    .error-generator {
        @apply px-5 py-2 text-white m-2 transition duration-200 ease-in-out block text-center mx-auto cursor-pointer hover:scale-105
    }
}
